Loading...
Searching...
No Matches
gridfire::exceptions::MissingBaseReactionError Class Referencefinal

Exception thrown when a required reaction is missing from the underlying database (e.g., REACLIB). More...

`#include <error_policy.h>`

Inheritance diagram for gridfire::exceptions::MissingBaseReactionError:
[legend]
Collaboration diagram for gridfire::exceptions::MissingBaseReactionError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception thrown when a required reaction is missing from the underlying database (e.g., REACLIB).

This typically occurs during the construction of a `ReactionChainPolicy` if the reaction library used by GridFire does not contain a reaction specified by the policy.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_policy.h